<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.4.xsd">

    <property name="uuid_function" value="gen_random_uuid()" dbms="postgresql"/>
    <property name="account_group_id_sequence_function" value="nextval('account_group_id_sequence')" dbms="postgresql"/>
    <property name="account_id_sequence_function" value="nextval('account_id_sequence')" dbms="postgresql"/>

    <changeSet id="20231107_04_initialize_expenses" author="akorzeniak">

        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Alkohol"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Jedzenie"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Samochód"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Usługi"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Zdrowie"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Odzież"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Komunikacja"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Rozrywka"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Programowanie"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Magda"/>
            <column name="type" value="EXPENSE"/>
        </insert>
        <insert tableName="account_group">
            <column name="id" valueComputed="${account_group_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Akcesoria"/>
            <column name="type" value="EXPENSE"/>
        </insert>


        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Piwo"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Alkohol' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Piwo na mieście"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Alkohol' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Whisky"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Alkohol' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Wino"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Alkohol' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Dieta"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Jedzenie' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Dostawa"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Jedzenie' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Restauracja"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Jedzenie' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Smakołyki"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Jedzenie' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Inne"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Jedzenie' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Paliwo"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Samochód' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Paliwo"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Samochód' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Konserwacja"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Samochód' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Naprawy"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Samochód' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Internet"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Usługi' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Telefon"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Usługi' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Netflix"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Usługi' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Subskrypcje"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Usługi' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Opłaty bankowe"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Usługi' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Dentysta"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Zdrowie' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Fizjoterapeuta"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Zdrowie' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Obuwie"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Odzież' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Miejska"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Komunikacja' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Gry"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Rozrywka' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Bilard"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Rozrywka' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Książki"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Rozrywka' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Oprogramowanie"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Programowanie' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Kursy"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Programowanie' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Magda"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Magda' AND type = 'EXPENSE')"/>
        </insert>

        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Kuchnia"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Akcesoria' AND type = 'EXPENSE')"/>
        </insert>
        <insert tableName="account">
            <column name="id" valueComputed="${account_id_sequence_function}"/>
            <column name="uuid" valueComputed="${uuid_function}"/>
            <column name="name" value="Łazienka"/>
            <column name="type" value="EXPENSE"/>
            <column name="group_id" valueComputed="(select id from account_group where name = 'Akcesoria' AND type = 'EXPENSE')"/>
        </insert>


    </changeSet>
</databaseChangeLog>